| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleId | yes | string | Tangible ID |
| tangibleType | yes | string | Tangible type, the type may only contain letters and hyphens (-), and hyphens cannot appear at the beginning or end of the string. |
| tangibleName | no | string | Tangible name |
| distinction | no | string | Distinction of the tangible, e.g., rtil |
| extraInfo | no | string | Other attributes of the tangible, in JSON string format |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation createTangible($input: CreateTangibleInput!) { createTangible(input: $input) { errorCode errorInfo } }",
"variables": {
"input": {
"tangibleId": "testtangibleid1",
"tangibleType": "ext",
"tangibleName": "testtangiblename1",
"extraInfo": "{\"testname\":\"aaa\"}"
}
}
}'{
"data": {
"createTangible": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}